@font-face {
    font-family: 'Barlow Condensed';
    src: url(fonts/Barlow_Condensed/BarlowCondensed-Regular.ttf)
        format('truetype');
    font-display: swap;
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Source Sans 3';
    src: url(fonts/Source_Sans_3/SourceSans3-VariableFont_wght.ttf)
        format('truetype');
    font-display: swap;
    font-style: normal;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

body {
    margin: 0;
}

.svg-inline {
    overflow: visible;
    display: inline-block;
    height: 1em;
    vertical-align: -0.125em;
}

.svg-inline path {
    fill: currentColor;
}

.main-footer {
    color: #fff;
    font:
        16px / 24px 'Source Sans 3',
        Helvetica,
        Arial,
        sans-serif;
    text-align: center;
    background-color: #000;
}

.footer-container {
    margin: 0 auto;
    padding: 10px 1rem 20px;
}

.footer-quickaccess {
    margin: 0;
    padding: 0;
    list-style: none;
}

.footer-quickaccess-item,
.footer-menu {
    border-bottom: 1px solid #333;
}

.footer-quickaccess-link {
    align-items: center;
    display: flex;
    gap: 10px;
    justify-content: center;
    padding: 10px 0;
    color: inherit;
    font-size: 14px;
    line-height: 1.2;
    text-decoration: none;
    text-transform: uppercase;
}

.footer-quickaccess-link,
.footer-link,
.footer-social-link {
    transition: color 0.1s ease-out;
}

.footer-quickaccess-link:hover,
.footer-quickaccess-link:focus-visible,
.footer-link:hover,
.footer-link:focus-visible,
.footer-social-link:hover,
.footer-social-link:focus-visible {
    color: #6d7a83;
}

.footer-quickaccess-link .svg-inline {
    font-size: 30px;
}

.footer-nav {
    font:
        20px / 1 'Barlow Condensed',
        Helvetica,
        Arial,
        sans-serif;
    text-transform: uppercase;
}

.footer-menu {
    align-items: center;
    display: flex;
    column-gap: 20px;
    flex-wrap: wrap;
    justify-content: center;
    margin: 0;
    padding: 5px 20px;
    list-style: none;
}

.footer-link {
    display: block;
    padding: 10px 0;
    color: inherit;
    text-decoration: none;
}

.footer-tagline {
    margin: 0;
    padding: 1em 0;
    font:
        20px / 1.5 'Source Sans 3',
        Helvetica,
        Arial,
        sans-serif;
    border-bottom: 1px solid #333;
}

.footer-tagline span {
    display: block;
    margin-top: 10px;
    font:
        2.2em / 1.1 'Barlow Condensed',
        Helvetica,
        Arial,
        sans-serif;
    text-transform: uppercase;
}

.footer-social {
    align-items: center;
    display: flex;
    gap: 8px;
    justify-content: space-around;
    margin: 0;
    padding: 10px 0;
    font-size: 20px;
    line-height: 1;
    list-style: none;
}

.footer-social-link {
    align-items: center;
    display: flex;
    height: 32px;
    justify-content: center;
    width: 32px;
    color: inherit;
    text-decoration: none;
}

.footer-info {
    padding: 20px 0 10px;
}

.footer-copyright {
    margin: 0 0 15px;
    font:
        600 20px / 1.3333 'Barlow Condensed',
        Helvetica,
        Arial,
        sans-serif;
    text-transform: uppercase;
}

.footer-select {
    position: relative;
}

.footer-select-button {
    align-items: center;
    display: flex;
    height: 32px;
    justify-content: space-between;
    padding: 0 1em;
    width: 100%;
    color: #fff;
    font-size: 14px;
    line-height: 1.5;
    background-color: #222;
    border: 1px solid #222;
}

.footer-select-button .svg-inline {
    height: 16px;
    width: 16px;
    opacity: 0.5;
}

.footer-select-panel {
    position: absolute;
    inset: auto 0 100%;
    overflow: auto;
    z-index: 10;
    display: none;
    max-height: 384px;
    min-width: 128px;
    padding: 4px;
    color: #222;
    background-color: #fff;
    border-radius: 8px;
}

.footer-select.open .footer-select-panel {
    display: block;
}

.footer-select-option {
    display: block;
    padding: 6px 8px;
    color: inherit;
    font-size: 14px;
    line-height: 1.5;
    text-align: left;
    text-decoration: none;
}

.footer-select-option:hover {
    background-color: #f1f5f9;
}

@media (min-width: 768px) {
    .footer-container {
        max-width: 970px;
        padding-top: 20px;
    }

    .footer-quickaccess {
        align-items: center;
        display: flex;
        justify-content: space-around;
        margin-bottom: 10px;
    }

    .footer-quickaccess-item {
        border-bottom: none;
    }

    .footer-quickaccess-link {
        flex-direction: column;
    }

    .footer-menu,
    .footer-tagline {
        border-right: 1px solid #333;
        border-left: 1px solid #333;
    }

    .footer-menu:first-child,
    .footer-tagline {
        border-top: 1px solid #333;
    }

    .footer-tagline {
        margin: 1em 0;
    }

    .footer-bottom {
        display: grid;
        gap: 32px;
        justify-content: space-between;
        grid-template-columns: 1fr 1fr;
    }

    .footer-social {
        justify-content: center;
        order: 1;
        padding: 10px 15px;
    }

    .footer-info {
        padding-top: 10px;
    }

    .footer-copyright {
        text-align: left;
    }
}

@media (min-width: 1024px) {
    .main-footer {
        text-align: left;
    }

    .footer-social-link,
    .footer-tagline {
        text-align: center;
    }

    .footer-menu {
        justify-content: flex-start;
        border-right: 0;
    }

    .footer-bottom {
        grid-template-columns: 2fr 1fr;
    }

    .footer-info {
        align-items: center;
        display: flex;
        gap: 32px;
        justify-content: space-between;
    }

    .footer-copyright {
        margin-bottom: 0;
        font-weight: 400;
    }

    .footer-select {
        max-width: 100%;
        width: 270px;
    }
}

@media (min-width: 1280px) {
    .footer-container {
        max-width: 1252px;
    }

    .footer-quickaccess {
        justify-content: flex-end;
    }

    .footer-quickaccess-item {
        width: 11.1111%;
    }

    .footer-middle {
        display: grid;
        grid-template-columns: 2fr 1fr;
        margin-bottom: 20px;
    }

    .footer-menu {
        height: 50%;
    }

    .footer-tagline {
        margin: 0;
    }

    .footer-bottom {
        gap: 0;
    }
}
